<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.POILogger (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.POILogger (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/POILogger.html" title="class in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/POILogger.html" target="_top">Frames</a>
        </li>
        <li><a href="POILogger.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.POILogger" class="title">Uses of Class<br>org.apache.poi.util.POILogger
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/util/POILogger.html"
                                                    title="class in org.apache.poi.util">POILogger</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model.textproperties">org.apache.poi.hslf.model.textproperties</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.model.textproperties">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/hslf/model/textproperties/package-summary.html">org.apache.poi.hslf.model.textproperties</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/hslf/model/textproperties/package-summary.html">org.apache.poi.hslf.model.textproperties</a> declared as <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BitMaskTextProp.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> declared as <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> declared as <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFNotes.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> declared as <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/CFRuleBase.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> declared as <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FileInformationBlock.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/FileInformationBlock.html#logger">logger</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                   title="class in org.apache.poi.util">POILogger</a> in <a
                            href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/util/POILogger.html"
                                                        title="class in org.apache.poi.util">POILogger</a> in <a
                                href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/CommonsLogger.html"
                                    title="class in org.apache.poi.util">CommonsLogger</a></span></code>
                                <div class="block">A logger class that strives to make it as easy as possible for
                                    developers to write log calls, while simultaneously making those
                                    calls as cheap as possible by performing lazy evaluation of the log
                                    message.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/NullLogger.html"
                                    title="class in org.apache.poi.util">NullLogger</a></span></code>
                                <div class="block">A logger class that strives to make it as easy as possible for
                                    developers to write log calls, while simultaneously making those
                                    calls as cheap as possible by performing lazy evaluation of the log
                                    message.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/SystemOutLogger.html"
                                    title="class in org.apache.poi.util">SystemOutLogger</a></span></code>
                                <div class="block">A logger class that strives to make it as easy as possible for
                                    developers to write log calls, while simultaneously making those
                                    calls as cheap as possible by performing lazy evaluation of the log
                                    message.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a> that return <a
                                href="../../../../../org/apache/poi/util/POILogger.html"
                                title="class in org.apache.poi.util">POILogger</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POILogFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/POILogFactory.html#getLogger-java.lang.Class-">getLogger</a></span>(java.lang.Class&lt;?&gt;&nbsp;theclass)</code>
                                <div class="block">Get a logger, based on a class name</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/util/POILogger.html"
                                    title="class in org.apache.poi.util">POILogger</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POILogFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/POILogFactory.html#getLogger-java.lang.String-">getLogger</a></span>(java.lang.String&nbsp;cat)</code>
                                <div class="block">Get a logger, based on a String</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/POILogger.html" title="class in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/POILogger.html" target="_top">Frames</a>
        </li>
        <li><a href="POILogger.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
